nelmio_cors:
    defaults:
        origin_regex: true
        allow_origin: ['%env(CORS_ALLOW_ORIGIN)%', 'http://192.168.1.8:3000', 'http://localhost:3000', 'https://bac.syllamar.pro']
        allow_methods: ['GET', 'OPTIONS', 'POST', 'PUT', 'PATCH', 'DELETE']
        allow_headers: ['Content-Type', 'Authorization']
        expose_headers: ['Link']
        max_age: 120
    paths:
        '^/api/':
            origin_regex: false
            allow_origin: ['http://localhost:3000', 'https://bac.syllamar.pro']
            allow_headers: ['Content-Type', 'Authorization']
            allow_methods: ['GET', 'OPTIONS', 'POST', 'PUT', 'PATCH', 'DELETE']
            expose_headers: ['Link']

        '^/uploads/epreuves/':
            origin_regex: false
            allow_origin: ['https://bac.syllamar.pro']
            allow_headers: ['Content-Type', 'Authorization']
            allow_methods: ['GET', 'OPTIONS']
            expose_headers: ['Content-Disposition']


